package com.dbs.consentServer.DTO.saveFormDTO;

public class SaveConsentFormDTO {
  String userId                  = ""; // 사용자 아이디
  String userDeptCd              = ""; // 사용자 부서
  String patientCode             = ""; // 환자 등록벊로
  String clnDeptCode             = ""; // 환자 진료과
  String formCd                  = ""; // 서식 코드
  String formId                  = ""; // 서식 고유 아이디
  String consentState            = ""; // 서식 상태
  String paperYn                 = ""; // ?
  String formXml                 = ""; // 서식 원본
  String dataXml                 = ""; // 작성된 서식 데이터
  String deviceType              = ""; // 디바이스 타입 모바일(AND), PC(PC) 구분
  String deviceMacAddr           = ""; 
  String ordType                 = ""; // 내원 구분
  String instCd                  = ""; // 근무지 기관 코드
  String clnDate                 = ""; // 내원구분에 따른 입원(inDd)/진료(ordDd) 일자
  String ward                    = ""; // 병동 코드
  String roomCd                  = ""; // 병실 코드
  String orderName               = ""; // 처방명
  String ordCd                   = ""; // 처방코드
  String ocrTag                  = ""; // OCR 코드
  String createUserName          = ""; // 작성자명
  String modifyUserName          = ""; // 수정자명
  String certTarget              = ""; // 서명 원본 데이터
  String certResult              = ""; // 서명 데이터 결과값
  String mainDrId                = ""; // 주치의 아이디
  String opRsrvNo                = ""; // 수술예약번호(수술번호)
  String formPageCnt             = ""; // 서식 총 장수
  String actionKind              = ""; // 임시, 확인 = T, 인증 = C
  String audioFileJson           = ""; // 녹음 파일 바이너리
  String audioFileSize           = ""; // 녹음 파일 사이즈
  String imagefileJson           = ""; // 이미지 파일 바이너리
  String fileSize                = ""; // 이미지 파일 사이즈
  String dSchDd                  = ""; // 퇴원일자
  String consentMstRid           = "";
  String reWriteConsentMstRid    = "";
  String rewriteYn               = "N";
  String reissueConsentMstRid    = "";
  String reissueYn               = "N";
  String cretNo                  = "";
  String completeYn              = "N";
  String completeDateTimeToChars = "";
  String consentDataRid          = "";
  byte[] formConsentByte = {};
  byte[] dataConsentByte = {};


  public String getUserId() {
    return userId;
  }

  public void setUserId(String userId) {
    this.userId = userId;
  }

  public String getUserDeptCd() {
    return userDeptCd;
  }

  public void setUserDeptCd(String userDeptCd) {
    this.userDeptCd = userDeptCd;
  }

  public String getPatientCode() {
    return patientCode;
  }

  public void setPatientCode(String patientCode) {
    this.patientCode = patientCode;
  }

  public String getClnDeptCode() {
    return clnDeptCode;
  }

  public void setClnDeptCode(String clnDeptCode) {
    this.clnDeptCode = clnDeptCode;
  }

  public String getFormCd() {
    return formCd;
  }

  public void setFormCd(String formCd) {
    this.formCd = formCd;
  }

  public String getFormId() {
    return formId;
  }

  public void setFormId(String formId) {
    this.formId = formId;
  }

  public String getConsentState() {
    return consentState;
  }

  public void setConsentState(String consentState) {
    this.consentState = consentState;
  }

  public String getPaperYn() {
    return paperYn;
  }

  public void setPaperYn(String paperYn) {
    this.paperYn = paperYn;
  }

  public String getFormXml() {
    return formXml;
  }

  public void setFormXml(String formXml) {
    this.formXml = formXml;
  }

  public String getDataXml() {
    return dataXml;
  }

  public void setDataXml(String dataXml) {
    this.dataXml = dataXml;
  }

  public String getDeviceType() {
    return deviceType;
  }

  public void setDeviceType(String deviceType) {
    this.deviceType = deviceType;
  }

  public String getDeviceMacAddr() {
    return deviceMacAddr;
  }

  public void setDeviceMacAddr(String deviceMacAddr) {
    this.deviceMacAddr = deviceMacAddr;
  }

  public String getOrdType() {
    return ordType;
  }

  public void setOrdType(String ordType) {
    this.ordType = ordType;
  }

  public String getInstCd() {
    return instCd;
  }

  public void setInstCd(String instCd) {
    this.instCd = instCd;
  }

  public String getClnDate() {
    return clnDate;
  }

  public void setClnDate(String clnDate) {
    this.clnDate = clnDate;
  }

  public String getWard() {
    return ward;
  }

  public void setWard(String ward) {
    this.ward = ward;
  }

  public String getRoomCd() {
    return roomCd;
  }

  public void setRoomCd(String roomCd) {
    this.roomCd = roomCd;
  }

  public String getOrderName() {
    return orderName;
  }

  public void setOrderName(String orderName) {
    this.orderName = orderName;
  }

  public String getOrdCd() {
    return ordCd;
  }

  public void setOrdCd(String ordCd) {
    this.ordCd = ordCd;
  }

  public String getOcrTag() {
    return ocrTag;
  }

  public void setOcrTag(String ocrTag) {
    this.ocrTag = ocrTag;
  }

  public String getCreateUserName() {
    return createUserName;
  }

  public void setCreateUserName(String createUserName) {
    this.createUserName = createUserName;
  }

  public String getModifyUserName() {
    return modifyUserName;
  }

  public void setModifyUserName(String modifyUserName) {
    this.modifyUserName = modifyUserName;
  }

  public String getCertTarget() {
    return certTarget;
  }

  public void setCertTarget(String certTarget) {
    this.certTarget = certTarget;
  }

  public String getCertResult() {
    return certResult;
  }

  public void setCertResult(String certResult) {
    this.certResult = certResult;
  }

  public String getMainDrId() {
    return mainDrId;
  }

  public void setMainDrId(String mainDrId) {
    this.mainDrId = mainDrId;
  }

  public String getOpRsrvNo() {
    return opRsrvNo;
  }

  public void setOpRsrvNo(String opRsrvNo) {
    this.opRsrvNo = opRsrvNo;
  }

  public String getFormPageCnt() {
    return formPageCnt;
  }

  public void setFormPageCnt(String formPageCnt) {
    this.formPageCnt = formPageCnt;
  }

  public String getActionKind() {
    return actionKind;
  }

  public void setActionKind(String actionKind) {
    this.actionKind = actionKind;
  }

  public String getAudioFileJson() {
    return audioFileJson;
  }

  public void setAudioFileJson(String audioFileJson) {
    this.audioFileJson = audioFileJson;
  }

  public String getAudioFileSize() {
    return audioFileSize;
  }

  public void setAudioFileSize(String audioFileSize) {
    this.audioFileSize = audioFileSize;
  }

  public String getImagefileJson() {
    return imagefileJson;
  }

  public void setImagefileJson(String imagefileJson) {
    this.imagefileJson = imagefileJson;
  }

  public String getFileSize() {
    return fileSize;
  }

  public void setFileSize(String fileSize) {
    this.fileSize = fileSize;
  }

  public String getdSchDd() {
    return dSchDd;
  }

  public void setdSchDd(String dSchDd) {
    this.dSchDd = dSchDd;
  }

  public String getConsentMstRid() {
    return consentMstRid;
  }

  public void setConsentMstRid(String consentMstRid) {
    this.consentMstRid = consentMstRid;
  }

  public String getReWriteConsentMstRid() {
    return reWriteConsentMstRid;
  }

  public void setReWriteConsentMstRid(String reWriteConsentMstRid) {
    this.reWriteConsentMstRid = reWriteConsentMstRid;
  }

  public String getReissueYn() {
    return reissueYn;
  }

  public void setReissueYn(String reissueYn) {
    this.reissueYn = reissueYn;
  }

  public String getRewriteYn() {
    return rewriteYn;
  }

  public void setRewriteYn(String rewriteYn) {
    this.rewriteYn = rewriteYn;
  }

  public String getReissueConsentMstRid() {
    return reissueConsentMstRid;
  }

  public void setReissueConsentMstRid(String reissueConsentMstRid) {
    this.reissueConsentMstRid = reissueConsentMstRid;
  }
  
  public String getCretNo() {
    return cretNo;
  }

  public void setCretNo(String cretNo) {
    this.cretNo = cretNo;
  }

  public String getCompleteYn() {
    return completeYn;
  }

  public void setCompleteYn(String completeYn) {
    this.completeYn = completeYn;
  }

  public String getCompleteDateTimeToChars() {
    return completeDateTimeToChars;
  }

  public void setCompleteDateTimeToChars(String completeDateTimeToChars) {
    this.completeDateTimeToChars = completeDateTimeToChars;
  }

  public String getConsentDataRid() {
    return consentDataRid;
  }

  public void setConsentDataRid(String consentDataRid) {
    this.consentDataRid = consentDataRid;
  }

  public byte[] getFormConsentByte() {
    return formConsentByte;
  }

  public void setFormConsentByte(byte[] formConsentByte) {
    this.formConsentByte = formConsentByte;
  }

  public byte[] getDataConsentByte() {
    return dataConsentByte;
  }

  public void setDataConsentByte(byte[] dataConsentByte) {
    this.dataConsentByte = dataConsentByte;
  }
}